PATH_COMICS_12_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_12_ON_WIN		         = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_12_ON_STONE_PIECES_FOUND = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_12_HACK					 = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_12_LADDER				 = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'

function OnSceneLoad(screen)    
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())
    
    local pf = play_field
    local level = pf:GetLevelScreen()
    ---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('PIECE_OF_ANCIENT_ARTIFACT', 'PIECES_OF_ANCIENT_ARTIFACT', 'piece1', 'piece2', 'piece3'))
    AddRandomTasks(14,
                   CreateTask('ARMOUR', '', 'armour'),
                   CreateTask('ARROWS', '', 'arrows'),
                   CreateTask('BLUDGEON', '', 'bludgeon'),
                   CreateTask('CLOAK', '', 'cloak'),
                   CreateTask('DRUM', '', 'drum'),
                   CreateTask('HAT', '', 'hat'),
                   CreateTask('EGGS', '', 'eggs'),
                   CreateTask('HELMET', '', 'helmet'),
                   --CreateTask('HOURGLASS', '', 'hourglass'),
                   CreateTask('PORTRAIT', '', 'portrait'),
                   --CreateTask('RIFLE', '', 'rifle'),
                   --CreateTask('OLIVES', '', 'olives'),
                   CreateTask('SEASHELL', 'SEASHELLS', 'sea_shell', 'seashell'),
                   CreateTask('STRAWBERRIES', '', 'strawberries'),
				   CreateTask('SKULL', '', 'skull'),
				   CreateTask('SLEDGE_HAMMER', '', 'sledgehammer'),
				   CreateTask('PEPPER', '', 'pepper'),
				   CreateTask('MAP', '', 'map'),
				   CreateTask('HAIRBRUSH', '', 'hairbrush'),				   
				   CreateTask('BUD', '', 'bud'),
				   CreateTask('EAGLE', '', 'eagle'),
				   CreateTask('JELLYFISH', '', 'jellyfish'),
                   CreateTask('SUN', 'SUNS', 'sun1', 'sun2', 'sun3', 'sun4', 'sun5'),
				   CreateTask('SWORD', 'SWORDS', 'sword1', 'sword2', 'sword3', 'sword4', 'sword5'),
				   CreateTask('TOMAHAWK', 'TOMAHAWKS', 'tomahawk1', 'tomahawk2', 'tomahawk3'),
				   CreateTask('BELL', 'BELLS', 'bell1', 'bell2', 'bell3', 'handbell'),
				   CreateTask('HORSE', 'HORSES', 'horse1', 'horse2'),
				   CreateTask('LIZARD', '', 'lizard')
                   )
    ---------------------------------------------------------------------------------------------
	RegisterInactiveGroup('BehindStone', 'piece1')
	RegisterInactiveGroup('InFrontOfRoof', 'hourglass', 'olives', 'mask_2', 'hourglass_layer')
	---------------------------------------------------------------------------------------------
	zone_roof = CreateZoomZone('close_zone_roof',
                               '',
                               'ZoomRoofBg',
                               'sledgehammer',
                               'pepper',
							   'map',
							   'handbell',
							   'hairbrush',
							   'hack'
							   )
	pf:GetObject('hack'):SetClippingRect(512 - 320, 384 - 240, 640, 480)
	---------------------------------------------------------------------------------------------	
	zone_armchair = CreateZoomZone('close_zone_armchair',
                               'pixel_wall',
                               'ZoomArmChairBg',
                               'stone',
							   'piece1',
							   'stone_pill_layer',
							   'bud',
							   'jellyfish',
							   'eagle',
							   'seashell'
							   );	
	---------------------------------------------------------------------------------------------		
	local photo_action_hack = function()  
								pf:GetObject('hack'):SetClippingRect(0, 0, 1024, 768)
                             end
    local apply_action_hack = function(save)		
								pf:GetObject('stone'):SetMaxOpacity(0)
								UnregisterInactiveGroup('BehindStone', 'piece1')
								if save then
									pf:GetObject('stone'):SetOpacity(0)
								else
									pf:GetObject('stone'):ChangeOpacity(1, 0, 0.1)
									MakeSoundEntity('12_hack'):Play(false)
								end
                             end
	
	local photo_hack = CreatePhotoZone('hack',										
										'HACK',
										'hack_photo',
										photo_action_hack,
										'stone',
										apply_action_hack)
    level:GetTask('hack'):SetUse(true)
    ---------------------------------------------------------------------------------------------		
	pf:GetObject('step1'):SetOpacity(0)
	pf:GetObject('step2'):SetOpacity(0)
	pf:GetObject('step3'):SetOpacity(0)
	---------------------------------------------------------------------------------------------			
	local clickOnStep1 = function(save)
		if not HasGameState('Step1Clicked') then
            AddGameState('Step1Clicked', 'true')
        end
		if save then
			pf:GetObject('step1'):SetOpacity(1)
		else
			local s = MakeSoundEntity('12_stair')
			s:Play(false)
			pf:GetObject('step1'):ChangeOpacity(0, 1, 0.3)
		end
		RequestRoofZone(save)
    end
    RegisterActiveObject('pixel_step1', clickOnStep1, false, GetCursorArms());
	--------------------------------------------------------------------------------------------
	local clickOnStep2 = function(save)
		if not HasGameState('Step2Clicked') then
            AddGameState('Step2Clicked', 'true')
        end
		if save then
			pf:GetObject('step2'):SetOpacity(1)
		else
			local s = MakeSoundEntity('12_stair')
			s:Play(false)
			pf:GetObject('step2'):ChangeOpacity(0, 1, 0.3)
		end
		RequestRoofZone(save)
    end
    RegisterActiveObject('pixel_step2', clickOnStep2, false, GetCursorArms());
	--------------------------------------------------------------------------------------------
	local clickOnStep3 = function(save)
		if not HasGameState('Step3Clicked') then
            AddGameState('Step3Clicked', 'true')
        end
		if save then
			pf:GetObject('step3'):SetOpacity(1)
		else
			local s = MakeSoundEntity('12_stair')
			s:Play(false)
			pf:GetObject('step3'):ChangeOpacity(0, 1, 0.3)
		end
		RequestRoofZone(save)
    end
    RegisterActiveObject('pixel_step3', clickOnStep3, false, GetCursorArms())
	--------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_12_ON_SHOWN, 'COMICS_12_ON_SHOWN')
                                                 end )
	---------------------------------------------------------------------------------------------	
    game_state.chain_on_win = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_12_ON_WIN, 'COMICS_12_ON_WIN')
                                                end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end                                                
	---------------------------------------------------------------------------------------------	
	game_state.chain_pieces_found = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_12_ON_STONE_PIECES_FOUND, 'COMICS_12_ON_STONE_PIECES_FOUND');
                                                    end )
    game_state.chain_pieces_found.OnHidden = function()
        OnWin()
    end
    ---------------------------------------------------------------------------------------------
	game_state.chain_hack = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_12_HACK, 'COMICS_12_HACK')
											 end )
	game_state.chain_ladder = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_12_LADDER, 'COMICS_12_LADDER')
											 end )
	SetHintComicsPhotoZoneEx(photo_hack, game_state.chain_hack)
	---------------------------------------------------------------------------------------------	
    game_state.zone_stone = CreateInfoItemZone( pf:GetObject('pill'), nil, GetString('INFO_ITEM_12_STONE') )
	game_state.zone_stone.OnHidden = function()
										game_state.chain_pieces_found.Play()
									 end
	---------------------------------------------------------------------------------------------
	pf:IgnoreOnTestPoint('portrait_layer')
	pf:IgnoreOnTestPoint('rifle')
	---------------------------------------------------------------------------------------------
	IsCollectAllPiece()
	---------------------------------------------------------------------------------------------
end

function RequestRoofZone(save)
	if  HasGameState('Step1Clicked', 'true') and
	    HasGameState('Step2Clicked', 'true') and
	    HasGameState('Step3Clicked', 'true') then
            RegisterZoomZone(zone_roof, 'pixel_roof')
            if not save then
		        game_state.chain_ladder.Play()
		    end
	end
end

function OnSceneFree()
    FreeData()
end

function OnUpdate(dt)
	DefaultOnUpdate(dt)
end

function OnWin()
    if game_state.chain_pieces_found.played == false then
        return
    end

    if play_field:GetLevelScreen():IsCompleteLevel() then
	    game_state.chain_on_win.Play()
    end
end

function OnScreenShown(fade_out)
	if fade_out then
       game_state.chain_on_shown.Play()
    end
end

function OnLose()
end

function OnExit()
end

function OnHiddenComics(comics)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object);
end

function OnObjectReachPanel(object)
	DefaultOnObjectReachPanel(object)
	
	local obj_names = {[1]='piece1', [2]='piece2', [3]='piece3'}
	if Contains(obj_names, object:GetName()) then
		IsCollectAllPiece()
	end
end

function IsCollectAllPiece()
    local obj_names = {[1]='piece1', [2]='piece2', [3]='piece3'}
    local all_found = true
    for i, v in ipairs(obj_names) do
	    if obj_name ~= v then
		    all_found = all_found and (not play_field:GetLevelScreen():IsTaskObject(v) or not play_field:HasObject(v))
        end
    end
    
    if all_found and game_state.zone_stone.IsPlayed() == false then			
 	    game_state.zone_stone.Play()
    end
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/armour.png',0,0,92,117,1,0)
	anim:SetHotSpot(46,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('armour',anim,286,691,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/arrows.png',0,0,124,54,1,0)
	anim:SetHotSpot(62,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrows',anim,555,249,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/drum.png',0,0,101,106,1,0)
	anim:SetHotSpot(50,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum',anim,813,628,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/hat.png',0,0,54,38,1,0)
	anim:SetHotSpot(27,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat',anim,473,588,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/hourglass.png',0,0,42,66,1,0)
	anim:SetHotSpot(21,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglass',anim,832,213,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/mask.png',0,0,85,100,1,0)
	anim:SetHotSpot(42,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,988,704,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/portrait.png',0,0,72,88,1,0)
	anim:SetHotSpot(36,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('portrait',anim,738,199,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/rifle.png',0,0,58,191,1,0)
	anim:SetHotSpot(29,95)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rifle',anim,584,595,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sea_shell.png',0,0,63,53,1,0)
	anim:SetHotSpot(31,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sea_shell',anim,354,440,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/strawberries.png',0,0,74,61,1,0)
	anim:SetHotSpot(37,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('strawberries',anim,257,587,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/bludgeon.png',0,0,82,109,1,0)
	anim:SetHotSpot(41,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bludgeon',anim,742,537,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/cloak.png',0,0,98,124,1,0)
	anim:SetHotSpot(49,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cloak',anim,961,466,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/eggs.png',0,0,34,26,1,0)
	anim:SetHotSpot(17,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eggs',anim,746,711,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/mask_2.png',0,0,58,89,1,0)
	anim:SetHotSpot(29,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask_2',anim,1011,127,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/olives.png',0,0,75,104,1,0)
	anim:SetHotSpot(37,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('olives',anim,899,154,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/skull.png',0,0,63,46,1,0)
	anim:SetHotSpot(31,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skull',anim,380,98,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/armour_layer.png',0,0,114,100,1,0)
	anim:SetHotSpot(57,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('armour_layer',anim,308,704,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/axe_layer.png',0,0,23,82,1,0)
	anim:SetHotSpot(11,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('axe_layer',anim,582,454,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/hourglass_layer.png',0,0,73,114,1,0)
	anim:SetHotSpot(36,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglass_layer',anim,834,205,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/mask_layer.png',0,0,94,140,1,0)
	anim:SetHotSpot(47,70)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask_layer',anim,980,696,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/portrait_layer.png',0,0,54,101,1,0)
	anim:SetHotSpot(27,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('portrait_layer',anim,758,203,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomRoof/Items/hack.png',0,0,136,325,1,0)
	anim:SetHotSpot(68,162)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('hack',anim,269,555,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomRoof/Items/hairbrush.png',0,0,158,52,1,0)
	anim:SetHotSpot(79,26)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('hairbrush',anim,462,554,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomRoof/Items/handbell.png',0,0,88,47,1,0)
	anim:SetHotSpot(44,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('handbell',anim,336,507,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomRoof/Items/map.png',0,0,144,101,1,0)
	anim:SetHotSpot(72,50)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('map',anim,438,232,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomRoof/Items/pepper.png',0,0,61,55,1,0)
	anim:SetHotSpot(30,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pepper',anim,581,552,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomRoof/Layers/ZoomRoofBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ZoomRoofBg',anim,512,384,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Photo/hack_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hack_photo',anim,89,382,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_wall',anim,614,511,95,0,10,14)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomArmChair/Layers/ZoomArmChairBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomArmChairBg',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomArmChair/Layers/stone.png',0,0,135,190,1,0)
	anim:SetHotSpot(67,95)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('stone',anim,387,469,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/piece2.png',0,0,51,38,1,0)
	anim:SetHotSpot(25,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('piece2',anim,724,687,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/piece3.png',0,0,67,36,1,0)
	anim:SetHotSpot(33,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('piece3',anim,545,735,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomArmChair/Items/piece1.png',0,0,121,125,1,0)
	anim:SetHotSpot(60,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('piece1',anim,382,481,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomArmChair/Layers/stone_pill_layer.png',0,0,229,238,1,0)
	anim:SetHotSpot(114,119)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('stone_pill_layer',anim,347,441,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/step1.png',0,0,127,68,1,0)
	anim:SetHotSpot(63,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('step1',anim,797,348,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/step2.png',0,0,120,65,1,0)
	anim:SetHotSpot(60,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('step2',anim,808,436,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/step3.png',0,0,117,89,1,0)
	anim:SetHotSpot(58,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('step3',anim,805,514,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_step1',anim,791,336,102,0,11,4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_step2',anim,797,423,102,0,10,4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_step3',anim,801,506,102,0,10,4)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomArmChair/Items/bud.png',0,0,73,57,1,0)
	anim:SetHotSpot(36,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bud',anim,256,567,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomArmChair/Items/jellyfish.png',0,0,40,70,1,0)
	anim:SetHotSpot(20,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jellyfish',anim,249,201,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomArmChair/Items/eagle.png',0,0,155,77,1,0)
	anim:SetHotSpot(77,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eagle',anim,671,356,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomArmChair/Items/seashell.png',0,0,70,40,1,0)
	anim:SetHotSpot(35,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('seashell',anim,784,203,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/pill.png',0,0,186,199,1,0)
	anim:SetHotSpot(93,99)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pill',anim,94,116,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/helmet.png',0,0,83,104,1,0)
	anim:SetHotSpot(41,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('helmet',anim,511,657,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/pixel_roof.png',0,0,231,225,1,0)
	anim:SetHotSpot(115,112)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_roof',anim,907,144,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/bell1.png',0,0,50,132,1,0)
	anim:SetHotSpot(25,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell1',anim,791,186,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/bell2.png',0,0,30,54,1,0)
	anim:SetHotSpot(15,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell2',anim,626,708,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/bell3.png',0,0,31,56,1,0)
	anim:SetHotSpot(15,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell3',anim,390,502,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/horse1.png',0,0,63,55,1,0)
	anim:SetHotSpot(31,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horse1',anim,293,284,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/horse2.png',0,0,76,61,1,0)
	anim:SetHotSpot(38,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horse2',anim,852,720,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/lizard.png',0,0,71,42,1,0)
	anim:SetHotSpot(35,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lizard',anim,326,383,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sun1.png',0,0,80,79,1,0)
	anim:SetHotSpot(40,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sun1',anim,557,68,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sun2.png',0,0,50,49,1,0)
	anim:SetHotSpot(25,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sun2',anim,666,249,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sun3.png',0,0,55,54,1,0)
	anim:SetHotSpot(27,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sun3',anim,690,599,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sun4.png',0,0,42,46,1,0)
	anim:SetHotSpot(21,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sun4',anim,231,281,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sun5.png',0,0,49,48,1,0)
	anim:SetHotSpot(24,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sun5',anim,410,333,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sword1.png',0,0,124,68,1,0)
	anim:SetHotSpot(62,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword1',anim,884,269,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sword2.png',0,0,36,145,1,0)
	anim:SetHotSpot(18,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword2',anim,873,523,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sword3.png',0,0,30,81,1,0)
	anim:SetHotSpot(15,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword3',anim,629,398,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sword4.png',0,0,34,126,1,0)
	anim:SetHotSpot(17,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword4',anim,403,656,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/sword5.png',0,0,107,96,1,0)
	anim:SetHotSpot(53,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword5',anim,415,281,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/tomahawk1.png',0,0,39,86,1,0)
	anim:SetHotSpot(19,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tomahawk1',anim,687,365,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/tomahawk2.png',0,0,78,104,1,0)
	anim:SetHotSpot(39,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tomahawk2',anim,334,567,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Items/tomahawk3.png',0,0,63,87,1,0)
	anim:SetHotSpot(31,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tomahawk3',anim,922,718,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/Layers/sword1_over.png',0,0,38,33,1,0)
	anim:SetHotSpot(19,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword1_over',anim,884,268,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/12_arm_chair_/ZoomRoof/Items/sledgehammer.png',0,0,88,38,1,0)
	anim:SetHotSpot(44,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sledgehammer',anim,309,370,810,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
